Bug 49134 - anaconda installed crashes
anaconda installed crashes
Status: CLOSED DUPLICATE of bug 16686
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-14 20:02 EDT by James Riggs
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-14 20:02:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Riggs 2001-07-14 20:02:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.61 [en] (X11; I; Linux 2.2.9-27mdk i586)

Description of problem:
Please excuse the lack of technical details I'm new to linux.  While doing
the install on a Dell latitude 400Mhz PII laptop, the default install runs
to the very end with no problems then (with no errors) hangs at the last
program.  I rebooted and used the text  option for install.  It performed
very similar allowing me to select all the options i wanted but just BEFORE
installing software it crashes prompting me to save the following info to
disk and submitting here...

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1472, in
doInstall
    self.fstab.mountFilesystems (self.instPath)
  File "fstab.py", line 715, in mountFilesystems
    raise SystemError, (errno, msg)
SystemError: (22, 'Invalid argument')

Local variables in innermost frame:
size: 5719108
fsystem: ext2
self: <fstab.NewtFstab instance at 8209f58>
msg: Invalid argument
doFormat: 1
errno: 22
device: hda1
instPath: /mnt/sysimage
mntpoint: /

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>

Sorry if this is a dup post, I saw similar but none the same. Thanks for
your help.


How reproducible:
Always

Steps to Reproduce:
1. Try to install redhat 7.0 on a dell laptop
2.
3.
	

Additional info:
Comment 1 Matt Wilson 2001-07-15 01:04:02 EDT

*** This bug has been marked as a duplicate of 16686 ***

Note You need to log in before you can comment on or make changes to this bug.